package com.cntomorrow.entity.android.tj_yd.dao.impl;

package ..deTemp.1732255427756;

import com.cntomorrow.entity.android.base.BaseDao;
import com.cntomorrow.entity.android.tj_yd.dao.GjjxPanelDao;
import org.springframework.jdbc.support.rowset.SqlRowSet;
import org.springframework.stereotype.Repository;

@Repository("gjjxPanelDao")
public class GjjxPanelDaoImpl extends BaseDao implements GjjxPanelDao {
  public SqlRowSet queryGjjxName(String tableName, String devfldtag, String devfldid) {
    String sql = "select tdo.fldname fldname, tdo.fldex11 arows, tdo.fldex12 acols, tdo.fldex15 brows, tdo.fldex16 bcols from " + 
      tableName + " tdo where tdo.fldtag='" + devfldtag + "' and tdo.fldid='" + devfldid + "'";
    System.out.println("queryGjjxName:" + sql);
    return this.jdbcTemplate.queryForRowSet(sql);
  }
  
  public SqlRowSet queryPortInfo(String ptableName, String porttag, String devfldid, String devfldtag, String flag) {
    String sql = "select t.fldid fldid, t.fldtag fldtag, t.fldcportname fldcportname, t.fldstatus fldstatus, t.fldisdesign fldisdesign,(SELECT COUNT(*)  FROM DUAL \r\n\tWHERE EXISTS (SELECT 1 FROM TLD_LINK_OPTCORE LO WHERE LO.FLDAPORTTAG = t.FLDTAG AND LO.FLDAPORTID = t.FLDID \r\n\t\t\t\tUNION ALL\r\n\t\t\t\tSELECT 1 FROM TLD_LINK_OPTCORE LO WHERE LO.FLDBPORTTAG = t.FLDTAG AND LO.FLDBPORTID = t.FLDID )) AS HASLINK  from (select tpo.*, substr(tpo.fldcportname, 2, instr(tpo.fldcportname, '-') - 2) x, substr(tpo.fldcportname, instr(tpo.fldcportname, '-') + 1) y from " + 




      
      ptableName + " tpo" + 
      " where tpo.fldtag = '" + porttag + "' and tpo.flddevid = '" + devfldid + "' and tpo.flddevtag = '" + devfldtag + "'" + 
      " and tpo.fldcportname like '" + flag + "%') t order by to_number(t.x), to_number(t.y) asc";
    System.out.println("queryPortInfo:" + sql);
    return this.jdbcTemplate.queryForRowSet(sql);
  }
  
  public SqlRowSet queryTldLinkOptcore(String tlotableName, String fldid, String fldtag, String tlotag) {
    String sql = "select tlo.fldaportid fldaportid, tlo.fldaporttag fldaporttag, tlo.fldbportid fldbportid, tlo.fldbporttag fldbporttag,tlo.FLDTESTSTATUS fldteststatus from " + 
      tlotableName + " tlo where (tlo.fldaportid = '" + fldid + "' and tlo.fldaporttag = '" + fldtag + "')" + 
      " or (tlo.fldbportid = '" + fldid + "' and tlo.fldbporttag = '" + fldtag + "') and tlo.fldtag='" + tlotag + "'";
    return this.jdbcTemplate.queryForRowSet(sql);
  }
  
  public SqlRowSet queryTgxOptsegRack(String tortableNmae, String fldid, String fldtag, String tortag) {
    String sql = "select b.term_id termid,b.term_tag termtag from " + tortableNmae + " a," + tortableNmae + " b" + 
      " where a.optseg_id = b.optseg_id and a.optseg_tag = b.optseg_tag and a.fiber_sn = b.fiber_sn" + 
      " and a.fldtag = '" + tortag + "' and a.term_tag='" + fldtag + "' and a.term_id='" + fldid + "' and b.term_id != '" + fldid + "'";
    return this.jdbcTemplate.queryForRowSet(sql);
  }
  
  public SqlRowSet queryToPortInfo(String tableName, String tofldid, String tofldtag) {
    String sql = "select tpo.fldstatus tofldstatus, tpo.fldisdesign tofldisdesign from " + 
      tableName + " tpo where tpo.fldid='" + tofldid + "' and tpo.fldtag='" + tofldtag + "'";
    return this.jdbcTemplate.queryForRowSet(sql);
  }
  
  public SqlRowSet queryFgqListInfo(String gjjxid, String gjjxtag) {
    String sql = "select td.fldid fldid, td.fldtag fldtag, td.fldname fldname from tld_device td where td.fldtag='001004001058002' and td.fldroomtag='" + 
      
      gjjxtag + "' and td.fldroomid='" + gjjxid + "'";
    return this.jdbcTemplate.queryForRowSet(sql);
  }
  
  public SqlRowSet checkBussinessInfo(String param) {
    String[] strArray = param.split("###");
    String vEntityTag = strArray[0];
    String vEntityID = strArray[1];
    String sql = "select pkg_rct_idata.func_get_busicode('" + vEntityTag + "','" + vEntityID + "') fldname from dual";
    return this.jdbcTemplate.queryForRowSet(sql);
  }
  
  public String getFldid(String tag) {
    String sql = "Select func_getsequence('" + tag + "','SEQ_MODEL') fldid From dual";
    String result = (String)this.jdbcTemplate.queryForObject(sql, String.class);
    return result;
  }
  
  public boolean executeSql(String sql) {
    int n = this.jdbcTemplate.update(sql);
    return (n > 0);
  }
  
  public SqlRowSet getGjjxPortInfo(String ptableName, String inids) {
    String sql = "Select to_char(wm_concat(tpo.fldid)) fldportids,tpo.fldshare,nrms_tj.func_getOptZPortInfo(tpo.fldid,tpo.fldtag) fldshowname From " + 
      ptableName + " tpo where tpo.fldid in (" + inids + ") Group By tpo.fldshare,nrms_tj.func_getOptZPortInfo(tpo.fldid,tpo.fldtag)";
    return this.jdbcTemplate.queryForRowSet(sql);
  }
  
  public SqlRowSet queryGjjxClass(String fldstatus, String fldisdesign, String tofldisdesign) {
    String sql = "Select NRMS_TJ.getGjjxPortBack('" + fldstatus + "','" + fldisdesign + "','" + tofldisdesign + "') as classname from dual";
    return this.jdbcTemplate.queryForRowSet(sql);
  }
}
